Subject: Re: bug#20514: Patch to tie --help and --version behavior to POSIXLY_CORRECT

From: Shawn McMahon <[email-masked]>
Date: Wed, 6 May 2015 12:42:39 -0400

On Wed, May 6, 2015 at 12:36 PM, Eric Blake <[email-masked]> wrote:

>
> Another argument against the change: This proposal would only affect
> /bin/test (or 'env test', or other constructs that force resolution
> through PATH).  However, most shells have 'test' as a builtin, so it
> will NOT impact those instances.  Having coreutils needlessly differ
> from other implementations is undesirable.  If you can first get 'bash'
> patched to do this, you might have a stronger argument, but bash is one
> of those programs where the mere act of setting POSIXLY_CORRECT in the
> environment changes a lot about how bash behaves.

bash is actually worse, since "[ --help"  doesn't work with the builtin.
But agreed on your point.